Skip to main content
GET
/
risk-scenarios
/
{riskScenarioId}
/
controls
List risk scenario controls
curl --request GET \
  --url https://api.vanta.com/v1/risk-scenarios/{riskScenarioId}/controls \
  --header 'Authorization: Bearer <token>'
{
  "results": {
    "data": [
      {
        "controlId": "A.12.2.1",
        "controlType": "TREATMENT_PLAN"
      },
      {
        "controlId": "5f3a1c8b9d4e2f6a7b8c9d11",
        "controlType": "EXISTING"
      }
    ],
    "pageInfo": {
      "hasNextPage": false,
      "hasPreviousPage": false,
      "startCursor": "1",
      "endCursor": "2"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

riskScenarioId
string
required

Query Parameters

pageSize
integer<int32>
default:10

Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

Response

200 - application/json

Ok

results
object
required